Subject: 23.1.50; Emacs --daemon resets mac-command-modifier on Mac

From: [email-masked]
Date: Tue, 11 Aug 2009 09:15:10 +0800

I am a Mac user, and I want my Command key to be used as Alt in Emacs,
so in .emacs, I (setq mac-command-modifier 'meta).
It works well when Emacs is launched as a stand-alone
application. However, when I use Emacs as a daemon server with
"--daemon" and then connect to it using "emacsclient -c", I find the
mac-command-modifier is reset to its initial value 'super.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
  of 2009-08-09 on localhost
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> M-x r e p o <tab> o <tab> ] r <tab> <backspace>
<backspace> <backspace> r <tab> <return>

Recent messages:
("/Applications/Emacs.app/Contents/MacOS/Emacs")
Starting Emacs daemon.
When done with this frame, type C-x 5 0
Making completion list...

Load-path shadows:
None found.

--
I'm wangling you to drink some Cocoa, play with my Python pet,  and  
sing Lisp songs, together with a nut, @ http://wangling.me/.